Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_voip_calls_tapinfo Struct Reference

## Public Attributes
tap_reset_cb | tap_reset
tap_packet_cb | tap_packet
tap_draw_cb | tap_draw
void * | tap_data
int | ncalls
GQueue * | callsinfos
GHashTable * | callsinfo_hashtable [1]
int | npackets
voip_calls_info_t * | filter_calls_fwd
int | start_packets
int | completed_calls
int | rejected_calls
seq_analysis_info_t * | graph_analysis
epan_t * | session
int | nrtp_streams
GList * | rtp_stream_list
guint32 | rtp_evt_frame_num
guint8 | rtp_evt
gboolean | rtp_evt_end
gchar * | sdp_summary
guint32 | sdp_frame_num
guint32 | mtp3_opc
guint32 | mtp3_dpc
guint8 | mtp3_ni
guint32 | mtp3_frame_num
struct _h245_labels * | h245_labels
gchar * | q931_calling_number
gchar * | q931_called_number
guint8 | q931_cause_value
gint32 | q931_crv
guint32 | q931_frame_num
guint32 | h225_frame_num
guint16 | h225_call_num
int | h225_cstype
gboolean | h225_is_faststart
guint32 | sip_frame_num
guint32 | actrace_frame_num
gint32 | actrace_trunk
gint32 | actrace_direction
flow_show_options | fs_option
guint32 | redraw

## Member Data Documentation

GHashTable* _voip_calls_tapinfo::callsinfo_hashtable[1]

array of hashes per voip protocol (voip_calls_info_t); currently only the one for SIP is used

GQueue* _voip_calls_tapinfo::callsinfos

queue with all calls (voip_calls_info_t)

voip_calls_info_t* _voip_calls_tapinfo::filter_calls_fwd

used as filter in some tap modes

struct _h245_labels* _voip_calls_tapinfo::h245_labels

H.245 labels

int _voip_calls_tapinfo::ncalls

number of call

int _voip_calls_tapinfo::npackets

total number of packets of all calls

int _voip_calls_tapinfo::nrtp_streams

number of rtp streams

GList* _voip_calls_tapinfo::rtp_stream_list

list of rtp_stream_info_t

epan_t* _voip_calls_tapinfo::session

epan session

void* _voip_calls_tapinfo::tap_data

data for tap callbacks

tap_draw_cb _voip_calls_tapinfo::tap_draw

tap draw callback

tap_packet_cb _voip_calls_tapinfo::tap_packet

tap per-packet callback

tap_reset_cb _voip_calls_tapinfo::tap_reset

tap reset callback

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/voip_calls.h